'use strict';

const script = () => {
  require('./install');
  const {PackageManagerFactory, shell} = require('scripts-helper');
  const manager = PackageManagerFactory.instance.detectManager();
  // const packages = ['ts-node', 'jasmine'];

  if (false === manager.requireGlobalPackage('jasmine')) {
    process.exit(1);
  }

  // const environment = {'NODE_OPTIONS': `--require ${manager.globalModulePath}/ts-node/register`};

  if (false === shell('jasmine test/*.js')) {
    process.exit(1);
  }

};

script();


